import Api from '../axios'

const prefix = '/rpm/rpm'

export default {
  /* 查询 */
  getMenu (obj) {
    return Api.getById(prefix + '/menu', obj)
  },
  /* 删除 */
  deleteMenu (obj) {
    return Api.deleteById(prefix + '/menu', obj)
  },
  /* 添加 */
  addMenu (obj) {
    return Api.post(prefix + '/menu', obj)
  },
  /* 获取树 */
  getTree (obj) {
    return Api.get(prefix + '/menu/tree', obj)
  },
  /* 通过数据库Id获取数据表列表 */
  updateMenu (obj) {
    return Api.putById(prefix + '/menu', obj)
  },
  /* 获取叶子结点未挂载报表的 */
  leafTree (obj) {
    return Api.get(prefix + '/menu/leafTree', obj)
  }
}
